Get deployment template

Auth

Retrieves a deployment template by id.

Path parameters

template_id string required

The identifier for the deployment template.

Query parameters

show_instance_configurations boolean · default: true

If true, will return details for each instance configuration referenced by the template.

show_max_zones boolean · default: false

If true, will populate the max_zones field in the instance configurations. Only relevant if show_instance_configurations=true.

stack_version string

If present, it will cause the returned deployment template to be adapted to return only the elements allowed in that version.

region string required

Region of the deployment template

Responses

The deployment template was found and returned successfully.

application/json
id string required

The unique identifier for the template.

name string required

A human readable name for the template.

description string

An optional description for the template.

deployment_template object required

A request for creating a new Deployment consisting of multiple clusters

name string

A name for the deployment; otherwise this will be the generated deployment id

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs

region string

Identifier of the region to be used as the default for all the resources of the deployment

version string

The version for all the resources of the deployment (must be one of the supported versions). Defaults to the latest version if not specified.

system_owned boolean

Whether or not if this is system owned template.

instance_configurations object[] required

List of instance configurations used in the cluster template.

id string

Unique identifier for the instance configuration

name string required

Display name for the instance configuration.

config_version integer · format: int32

If the IC is configuration controlled, this field is the version either being read back (reads return the latest IC unless specified by the 'config_version' URL param), or the version to update. Cannot be used in creates. For unversioned IC reads it is left empty.

description string

Optional description for the instance configuration

instance_type enum

The type of instance. For instance configurations where the type is specified in the 'id', the default value of 'instance_type' will be automatically inferred.

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
node_types string[]

Node types (master, data) for the instance. For instance configurations where the type (and tier) is specified in the 'id', the default value of 'node_types' will be automatically inferred.

discrete_sizes object required

Instance sizes that are supported by the Elasticsearch instance, Kibana instance, or APM Server configuration.

sizes integer[] · format: int32 required

List of supported sizes

default_size integer · format: int32

The default size

resource enum

The unit that each size represents. If not specified, it will default to 'memory'.

Values: memory storage
storage_multiplier number · format: double

Settings for the instance storage multiplier

cpu_multiplier number · format: double

Settings for the instance CPU multiplier

metadata object

Optional arbitrary metadata to associate with this template.

max_zones integer · format: int32

The maximum number of availability zones in which this instance configuration has allocators. This field will be missing unless explicitly requested with the show_max_zones parameter.

order integer · format: int32

Determines the order in which this template should be returned when listed. Templates are returned in ascending order. If not specified, then the template willbe appended to the end of the list.

hidden boolean

Whether or not the deployment template is hidden by default.

min_version string

Minimum stack version required by this template, if any.

template_category_id string

Provider and version agnostic template identifier used for grouping related template types.